aboutsummaryrefslogtreecommitdiffstats
path: root/servicegateway/deployment/src/main/release/init/post_install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'servicegateway/deployment/src/main/release/init/post_install.sh')
-rw-r--r--servicegateway/deployment/src/main/release/init/post_install.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/servicegateway/deployment/src/main/release/init/post_install.sh b/servicegateway/deployment/src/main/release/init/post_install.sh
new file mode 100644
index 00000000..959acc51
--- /dev/null
+++ b/servicegateway/deployment/src/main/release/init/post_install.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+#check user
+if [ "root" = "`/usr/bin/id -u -n`" ];then
+ echo "root has been forbidden to execute the shell."
+ exit 1
+fi
+
+if [[ -z ${APP_ROOT} ]];then
+ echo "APP_ROOT is empty."
+ exit 1
+fi
+
+if [[ -z ${_APP_LOG_DIR} ]];then
+ echo "_APP_LOG_DIR is empty."
+ exit 1
+fi
+
+#HORNETQ_CONF=$APP_ROOT/etc
+
+#chmod 400 $HORNETQ_CONF/engine.json